// HrMinSecFormat.h: interface for the CHrMinSecFormat class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include <string>

#include "DllDefines.h"

class MCCTRDLLCLASS CHrMinSecFormat
{
public:
    //  default constructor
    CHrMinSecFormat();

    //  default destructor
    virtual ~CHrMinSecFormat();

    //  Get hours:Mins:Secs format string
    static std::string GetHrMinSecFormat(long double dSec);

    //  Get hours:Mins:Secs.Msec format string
    static std::string GetHrMinFloatSecFormat(long double dSec);

private:
    static const int SEC_IN_HOUR; // 60 min * 60 sec
    static const int SEC_IN_MIN;  // 60 sec
};
